Public Class PostulanteExperienciaBusinessObject
    Inherits BusinessObject(Of PostulanteExperiencia)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New PostulanteExperienciaDbHelper
    End Sub

    Public Sub New(ByVal entity As PostulanteExperiencia)
        MyBase.New(entity)
        DbHelper = New PostulanteExperienciaDbHelper
    End Sub

    Public Sub New(ByVal idPostulanteExperiencia As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idPostulanteExperiencia = idPostulanteExperiencia
        Dim Entity_Aux As PostulanteExperiencia = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As PostulanteExperienciaBusinessObject
    Protected Shared Function GetDdHelperInstance() As PostulanteExperienciaDbHelper
        If _Instance Is Nothing Then
            _Instance = New PostulanteExperienciaBusinessObject
        End If
    Return CType(_Instance.DbHelper, PostulanteExperienciaDbHelper)
    End Function

    Public Shared Function GetListPostulanteExperiencia(Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteExperiencia)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListPostulanteExperienciaByConcursoPostulante(ByVal idConcursoPostulante as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteExperiencia)
        Return GetDdHelperInstance.GetListPostulanteExperienciaByConcursoPostulante(idConcursoPostulante, foreignLevel)
    End Function

#End Region
End Class
